/*
 * GraphClasses.h
 *
 *   Created on: Jun 19, 2014
 *       Author: Jan Travnicek
 *  Modified by: Jan Broz
 *
 *  This file is the one, which you will include, when you want to use graph structures
 */

#ifndef GRAPH_CLASSES_H_
#define GRAPH_CLASSES_H_

#include "Graph.h"
#include "GraphTypes.h"
#include "GraphBase.h"
#include "directed/DirectedGraph.h"
#include "directed/AdjacencyListDirectedGraph.h"
#include "directed/AdjacencyMatrixDirectedGraph.h"
#include "undirected/UndirectedGraph.h"
#include "undirected/AdjacencyListUndirectedGraph.h"
#include "undirected/AdjacencyMatrixUndirectedGraph.h"
// !! add graph types/representations

#endif // GRAPH_CLASSES_H_
